Bug 6902 - Version information leak in imapd/pop3d/*d
: Version information leak in imapd/pop3d/*d
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cyrus-imapd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-19 15:00 by
Modified: 2005-07-15 10:52 (History)


Attachments
patch (1.79 KB, patch)
2005-05-19 17:36, algor
no flags Details | Diff
fixed patch. (10.84 KB, patch)
2005-05-20 10:58, algor
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-19 15:00:47
В баннере любого демона гврздями прибит номер версии.  Это не есть хорошо,
должна быть возможность версию оттуда убрать.
------- Comment #1 From 2005-05-19 17:36:51 -------
Created an attachment (id=895) [details]
patch
------- Comment #2 From 2005-05-19 17:37:26 -------
патч, который эту неприятность вроде как лечит. 
------- Comment #3 From 2005-05-19 19:31:41 -------
А в чем, собственно, состоит нехорошесть объявления версии? Нет, я патч,
конечно, добавлю, но мне просто интересно, ибо все виденные мной эксплойты в
cyrus-imapd чихать хотели на баннер.
------- Comment #4 From 2005-05-20 10:57:26 -------
в том, что искать exploit для известной версии значительно проще, чем для 
неизвестной, я полагаю. 
------- Comment #5 From 2005-05-20 10:58:47 -------
Created an attachment (id=896) [details]
fixed patch. 
------- Comment #6 From 2005-05-20 11:09:42 -------
> А в чем, собственно, состоит нехорошесть объявления версии?
А зачем её лишний раз показывать?  Например всяческим поинЭрам или поделиям
типа
X-Spider'а...
------- Comment #7 From 2005-05-21 11:33:30 -------
На самом деле для цирроза эксплоитов не так уж и много, а работающих и того
меньше :)

В общем, 2.2.12-alt3